public class Consumer implements Runnable {

	private Thread thread;
	private Buffer buf;

	public Consumer(Buffer b) {
		this.buf = b;
	}

	public void start() {
		this.thread = new Thread(this);
		this.thread.start();
	}

	@Override
	public void run() {
		try {
			while (true) {
				Character c = (Character) this.buf.get();
				Thread.sleep(750); // consume
			}
		}
		catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
